#include <stdio.h>
#include <conio.h>

unsigned long fibo(n){
//  printf("*");
  if(n==0)return 0;
  if(n==1)return 1;
  return fibo(n-2)+fibo(n-1);
}

void main(){
  unsigned long n,m;
  clrscr();
  printf("m=? ");scanf("%lu",&m);
  for(n=0;n<=m;n++)
  printf("%lu : %lu\n",n,fibo(n));
  getch();
}